Comment 5 for bug 303667

I've installed the oldest kernel package for Ubuntu 8.10
uname -a
Linux watkins-desktop 2.6.25-2-386 #1 Tue Sep 30 14:47:35 UTC 2008 i686 GNU/Linux

The firmware download failed. (It's an earlier version of the firmware.)

dmesg attached.